{
  "name": "frontend",
  "version": "0.0.0",
  "config":{"tagmsg":"Tagging image"},
  "scripts": {
    "ng": "ng",
    "start": "ng serve --host 0.0.0.0 --port 8080 --disableHostCheck",
    "build": "ng build",
    "prod-build": "ng build --prod  --base-href .",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "image-build":"docker build  -t awsfrontend:latest --build-arg backend=http://localhost:3000 .",
    "image-run":"docker run --name frontend -d --env-file ./.env -p 80:80  awsfrontend:latest",
    "image-tag":"echo ${npm_package_config_tagmsg} && docker image tag awsfrontend:latest ${npm_config_aws_ecr_repo}/frontend:latest",
    "image-push":" docker image push ${npm_config_aws_ecr_repo}/frontend:latest"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~13.3.0",
    "@angular/common": "~13.3.0",
    "@angular/compiler": "~13.3.0",
    "@angular/core": "~13.3.0",
    "@angular/forms": "~13.3.0",
    "@angular/platform-browser": "~13.3.0",
    "@angular/platform-browser-dynamic": "~13.3.0",
    "@angular/router": "~13.3.0",
    "rxjs": "~7.5.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~13.3.6",
    "@angular/cli": "~13.3.6",
    "@angular/compiler-cli": "~13.3.0",
    "@types/jasmine": "~3.10.0",
    "@types/node": "^12.11.1",
    "jasmine-core": "~4.0.0",
    "karma": "~6.3.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.1.0",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "~1.7.0",
    "typescript": "~4.6.2"
  }
}
